Videoporama

Site de Videoporama

Téléchargement

Liens directs :

Videoporama est un logiciel distribué sous la licence GPL2 (ou supérieure). Cela signifie que ce logiciel respecte les quatres libertés fondamentales ... de l'utilisateur, à savoir (en résumé, compréhensible par le commun des mortels Sourire):

  • Accès au code source du logiciel
  • Autorisation d'utilisation (sans restriction)
  • Autorisation de distribution (copie, installation multiple, ...)
  • Autorisation de modifier le logiciel et de redistribuer les modifications à la seule condition que ces modifications soient également publiées sous une licence libre compatible avec la GPL2 ou supérieure.

Videoporama utilise pour son fonctionnement, les logiciels libres suivant :


* Avec ffmpeg en version 0.5, Videoporama ne supporte pas le format WebM et utilise libfaac pour encoder l'AAC
* Avec ffmpeg en version 0.6, Videoporama supporte le format WebM et utilise adts pour encoder l'AAC

Videoporama 0.8.1 a été testé sur les systèmes suivants :

Système
Niveau de fonctionnement
Windows/XP
Fonctionnement OK - Pas de remarque
Windows 7
Fonctionnement OK mais risque de problème d'affichage si Windows Aero est activé
Ubuntu 10.04
Fonctionnement OK - Pas de remarque
Ubuntu 10.10

Fonctionnement OK - Pas de remarque 

OpenSuse 11.2 et 11.3
Fonctionnement OK - Pas de remarque
ArchLinux
Fonctionnement OK - Pas de remarque
Gentoo
Fonctionnement OK - Pas de remarque

Note : Si vous testez Videoporama 0.8.1 sur un autre système d'exploitation, n'hésitez pas à nous faire part de votre expérience par un message sur le forum.

 

Télécharger et installer Videoporama 0.8.1 :




Installation pour tout système d'exploitation, à partir des sources

Assurer vous d'avoir installer toutes les dépendances avant de commencer.

Installation sur des systèmes Linux

Note : Des packages pré-compilé sont mis à votre disposition. Ils simplifient considérablement l'installation.

Installation des dépendances :
  • python-qt4
  • python-imaging
  • python-pyexiv2
  • mjpegtools
  • sox
  • libdv-bin
  • ffmpeg (version 0.5 ou 0.6)
  • libavcodec-52
  • libavformat-52
  • libavutil-49
  • sox
  • libsox-fmt-all
  • mplayer

Archive tar.gz : videoporama-0.8.1.tar.gz

Ouvrir un terminal

Décompresser l'archive dans un repertoire ~/videoporama
Exemple de commande : tar -zxvf videoporama_0.8.0.tar.gz

Aller dans le répertoire ou vous avez décompresser l'archive
Exemple de commande : cd videoporama_0.8.0

Lancer l'installateur en mode root
Exemple de commande : sudo python setup.py install

Installation sur des systèmes Windows

Note : Un package pré-compilé est mis à votre disposition. Il simplifie considérablement l'installation.

Installation de Cygwin

  • Récupérer la dernière version de Cygwin1.dll (actuellement 1.7.5 du 19/03/2010) pour Windows depuis http://cygwin.com/ ou ailleur
  • Toutes versions de Windows : http://cygwin.com/setup.exe
  • Installer le setup.exe (qui est en réalité un logiciel de récupération de paquet)
  • Sélectionner le paquet Cygwin
  • Récupérer Cygwin1.dll dans le répertoire bin du paquet téléchargé et le placer dans un répertoire
  • Mettre ce répertoire dans le path

Installation de python 2.6

Installation de "Python Imaging Library" PIL

Installation de PyExiv2

Installation de PyQt4

Installation de ffmpeg

  • Récupérer la dernière version de ffmpeg pour Windows depuis http://ffmpeg.arrozcru.org/autobuilds/
  • Créer un répertoire c:progra~1ffmpeg
  • Décompresser le fichier .7z dans c:progra~1ffmpeg (avec 7zip)

Installation de mplayer

Installation de sox

Installation des MJPEGTOOLS

Installation de Videoporama

  • Récupérer la dernière version stable Archive (tar.gz à extraire avec le programme .7z) : Videoporama_0.8.tar.gz
  • Créer un répertoire c:progra~1videoporama
  • Ouvrir le fichier avec 7zip et décompresser les fichiers dans c:progra~1videoporama
  • Créer un fichier videoporama.cmd dans le répertoire c:progra~1videoporama et insérer les lignes suivantes :
    • c:
    • cd c:progra~1videoporama
    • c:progra~1python26Python start.py -p
  • Créer un raccourci sur le bureau vers c:progra~1videoporamavideoporama.cmd en utilisant l'icone présent dans c:progra~1videoporamaicon

Lancement de videoporama :

  • Utiliser le raccourci
  • Une boite d'information s'affiche indiquant que plein de chose ne sont pas installé -> OK
  • Une deuxième boite apparait -> Fermer la fenêtre
  • Ouvrir la boite de configuration et remplir les champs répertoires :
    • ffmpeg = c:progra~1ffmpeg
    • MJpegtools = c:progra~1mjpegtools_190
    • Sox = c:progra~1sox-14-3-1
    • MPlayer = c:progra~1mplayer
    • Répertoire temporaire = C:WINDOWSTemp


Installation pour Windows (Package pré-compilé)

A partir de la version 0.8, l'installation sous windows se simplifie considérablement. En effet, l'installateurs pour windows contient toutes les dépendances

Il n'y a plus qu'à exécuter l'installateur contenant les dépendances et suivre les instructions à l'écran.

L'installateur windows incluant les dépendances est disponible ici : Installateur win .exe


Installation pour Gentoo (eBuild)

Un eBuild a été créé par un utilisateur. Celui-ci n'est pas encore validé officiellement par les mainteneurs Gentoo, mais il est accessible en suivant ce lien : eBuild Gentoo


Installation pour Linux Ubuntu 10.10 & Ubuntu 11.04 (Package pré-compilé)

Les paquets fournis en standard dans Ubuntu ne sont pas à jours (pour 10.10) et ne contiennent pas les Codecs non libre.

Ci après sont listés les paquets important avec les versions pour lesquels nous sommes sure que tout fonctionne au 22 Juillet 2010 :

Paquets pour Lucid en version ffmpeg 0.6 :

Pour installer les bonnes versions des paquets, en même temps que Videoporama, vous pouvez utiliser les deux dépôts suivant (en les ajoutant à votre liste de dépôt et en mettant à jours votre système).

 

    • libavcodec-extra-52 (version : 4:0.6-2ubuntu1~lucid1~ppa1)
    • libavformat-extra-52 (version : 4:0.6-2ubuntu1~lucid1~ppa1)
    • libavutil-extra-49 (version : 4:0.5.1-1ubuntu1+medibuntu1) et/ou libavutil-extra-50 (version 4:0.6-2ubuntu1~lucid1~ppa1)
    • mplayer (version : 2:1.0~rc3++final-0ubuntu3~lucid1~ppa1)
    • ffmpeg (version : 4:0.6-2ubuntu2~lucid1~ppa1)
    • libvpx0 (version : 0.9.1-1~lucid1~ppa1)

Paquets pour Lucid en version ffmpeg 0.5 :

Pour installer les bonnes versions des paquets, en même temps que Videoporama, vous pouvez utiliser le dépôt Medibuntu (en l'ajoutant à votre liste de dépôt et en mettant à jours votre système).

 

    • libavcodec-extra-52 (version : 4:0.5-1ubuntu1+medibuntu1)
    • libavformat-extra-52 (version : 4:0.5-1ubuntu1+medibuntu1)
    • libavutil-extra-49 (version : 4:0.5.1-1ubuntu1+medibuntu1)
    • mplayer (version : 2:1.0~rc3+svn20090426-1ubuntu16+medibuntu1)
    • ffmpeg (version : 4:0.5.1-1ubuntu1)

 

A l'heure actuelle, ffmpeg 0.6 n'est pas encore disponible pour Karmic.

Paquets pour Karmic en version ffmpeg 0.5 :

Pour installer les bonnes versions des paquets, en même temps que Videoporama, vous pouvez utiliser le dépôt Medibuntu (en l'ajoutant à votre liste de dépôt et en mettant à jours votre système).
    • libavcodec-extra-52 (version : 4:0.5+svn20090706-2ubuntu3+medibuntu1)
    • libavformat-extra-52 (version : 4:0.5+svn20090706-2ubuntu3+medibuntu1)
    • libavutil-extra-49 (version : 4:0.5+svn20090706-2ubuntu3+medibuntu1)
    • mplayer (version : 2:1.0~rc3+svn20090426-1ubuntu10.1)
    • ffmpeg (version : 4:0.5+svn20090706-2ubuntu2.2)


Puis, installer le paquet videoporama_0.8.1_all.deb
Le paquet deb, installerla automatiquement les dépendances nécessaires.


Installation pour Archlinux (Via AUR)

Un PKGBUILD a été créé par un utilisateur. Celui-ci est accessible en suivant ce lien : PKGBUILD AUR


Installation pour Mandriva (Package pré-compilé)

A partir de la version 0.8, les packages pour les distributions basées sur Debian ou Ubuntu sont disponibles sur le site dans la section téléchargement. Pour les autres distributions, le mieux est d'utiliser le gestionnaire de paquet de la distribution pour vérifier si le package n'est pas disponibles dans les dépôts officiels (c'est le cas pour OpenSuse, Ubuntu, et sans doute d'autres)


Historique : Les anciennes versions

Anciennes versions

Version 0.7.6

Le package distutils de la version 0.7.6 est disponible ici

Version 0.7.5

Le package distutils de la version 0.7.5 est disponible ici

Version 0.7.4

Le package distutils de la version 0.7.4 n'est plus disponible car buggée

Version 0.7.3

Le package distutils de la version 0.7.3 est disponible ici

Cette version est utilisable pour être installée ou comme version portable. Pour utiliser le logiciel comme version portable, il suffit de décompresser l'archive, d'aller dans le répertoire créé et executer la commande suivante (normal user): $ ./videoporama --portable

Version 0.7.1

Le package distutils de la version 0.7.1 est disponible ici

Cette version est utilisable pour être installée ou comme version portable. Pour utiliser le logiciel comme version portable, il suffit de décompresser l'archive, d'aller dans le répertoire créé et executer la commande suivante (normal user): $ ./videoporama --portable

Version 0.7

Le package distutils de la version 0.7 est disponible ici

Une version portable est également disponible ici . Cette version ne nécessite pas d'installation, seulement de décompresser l'archive en espace utilisateur et executer une commande pour lancer le logiciel. Cette version a été créée suite aux retours d'infos reçus de Cyrille Borne sur les problèmes d'installation qu'il a rencontrés (Sur Ubuntu). Je profite de l'occasion pour le remercier pour sa patience et ses informations.

Attention également à la version de FFMPEG utilisée. En effet, pour pouvoir effectuer l'encodage en mpeg (VCD, SVCD, DVD), en H264 ou en flv, il est nécessaire d'avoir une version de FFMPEG incluant des codecs non libre (version unstripped de libavcodec, libavformat, libavdevice et libavutil). La version standard de Debian n'inclu pas ces codecs non-libre.

Version 0.6.2

Cette version est consacrée à la correction de bugs. Principalement pour la partie encodage pour laquelle il y avait des coupure dans le processus qui avaient comme conséquence un arrêt de l'encodage. Ce bug est maintenant complètement résolu.

Lors du premier lancement, il est recommandé d'adapter la configuration et ensuite quitter et relancer le logiciel avant de faire le premier montage.

Toutes mes excuses pour le bug rencontré dans le processus d'encodage, j'ai eu difficile à trouver la cause car le problème n'était pas systématique (bien que de plus en plus fréquent, particulièrement pour l'encodage en dvd).

Le package distutils de la version 0.6.2 est disponible ici

Version 0.6 et antérieure

Tous les packages des versions antérieures ont été enlevés pour faire de la place sur le serveur. Si vous souhaitez en obtenir une copie, envoyez moi un mail.

Réalisation OPCG Brussels / ©
2003 - 2011   -    Site motorisé par ZITE CMS 0.6.3beta   -   Administration